#pragma once

#include <string>
namespace fe {
  class Window {
    public:
      Window();
      ~Window();

      int getWidth() { return width; }
      int getHeight() { return height; }
      std::string getName() { return name; }
      std::string getVersion() { return version; }
      std::string getOptions() { return avalopt; }

    private:
      int width;
      int height;
      std::string name;
      std::string version;
      std::string avalopt;
  };
}
